import { APIRoute } from "astro";
import { getAllPlanets } from "../../../lib/db/planets";
import Planet from "../../../types/Planet";
import { ObjectId } from "mongodb";

export const GET: APIRoute = async ({ request }) => {
    const planets = await getAllPlanets();

    const response: Array<{planetId: ObjectId, ownerId: ObjectId, name: string}> = [];

    planets.forEach((planet: Planet) => {
        response.push({
            planetId: planet._id,
            ownerId: planet.owner._id,
            name: planet.name,
        })
    });

    return new Response(
        JSON.stringify({
            code: 200,
            message: "OK",
            data: response
        })
    );
}